using System;
using Wisej.Web;

namespace WisejWebPageApplicationOpenID
{
	internal static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main()
		{
			Application.ApplicationRefresh += Application_ApplicationRefresh;

			if (!Application.IsAuthenticated)
			{
				Application.Navigate("/login");
			}
			else
			{
				Application.MainPage = new Page1();
			}
		}

		private static void Application_ApplicationRefresh(object sender, EventArgs e)
		{
			if (!Application.IsAuthenticated){ 
				Application.Navigate("/login");
				return;
			}
			
			
			if (Application.MainPage == null)
				Application.MainPage = new Page1();
		}
	}
}